Hello the community,

I am new here and started a project, whose purpose is first to deal with a
cloud of points.
100 000 points at least is quite usual for measuring systems.
Also the points should be selectable (even if it is only in a defined or
selected area).

Using following code, the performances in the viewer like usual
ROTATE/ZOOM/PAN are far from being acceptable, even with 20 000 points.
I am wondering if it is due to the BREP representation I used here ?

So my question is :
Do I need this Brep fonction to have selectable points ?
Is there any way to have acceptable ROTATE ZOOM PAN for large points model ?
( Note I read I can pass a the list of points "liste" in the
display.DisplayShape(...) but I didn t found out how ... but this will fast
up the first display I guess, not ROTATE ZOOM PAN)

Thanks for any help
Francois

--------------------------

CODE:
...
pt = gp_Pnt ( coord_x, coord_y, coord_z )
liste.append ( pt )

for ppi in liste :
   display.DisplayShape( BRepBuilderAPI_MakeVertex (ppi).Shape(),
update=False )

display.FitAll ( )
...
---------------------------
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to